﻿--[[       
########################################################################
#                                                                      #
#            ████████████    █████████████       █████████████         #
#            ███      ███    ███         ███     ███        ███        #
#            ███      ███    ███          ███    ███       ███         #
#            ████████████    ███         ███     ███      ███          #
#            ███             ███        ███      ███    ███            #
#            ███             ███      ███        ███ ███               #
#            ███             ███    ███          ███     ███           #
#            ███             █████████           ███        ███        #
#                                                ███          ███      #           
#                                                                      #
########################################################################

ᴄᴏᴘʏʀɪɢʜᴛ © 2018-2019 • ᴘᴅʀᴢɪɴɴ sᴄʀɪᴘᴛᴇʀ
]]


local screenW,screenH = guiGetScreenSize()
local resW, resH = 1366,768
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

local font = dxCreateFont('files/fonts/font.ttf', 10, false);
local font2 = dxCreateFont('files/fonts/font.ttf', 20, false);


function pdr_hud()
    if (not isPlayerMapVisible()) then
        local money = convertNumber(getPlayerMoney(getLocalPlayer()))
        local bank = convertNumber(getElementData(localPlayer, "Bank") or "0")
        local level = getElementData(getLocalPlayer(), "Level") or 0
        local fome = getElementData(getLocalPlayer(), "hunger")
        local sede = getElementData(getLocalPlayer(), "sede")
        local showammo1 = getPedAmmoInClip (localPlayer,getPedWeaponSlot(localPlayer))
	local showammo2 = getPedTotalAmmo(localPlayer)-getPedAmmoInClip(localPlayer)
	local showammo3 = getPedTotalAmmo(getLocalPlayer())
        local clip = getPedAmmoInClip (getLocalPlayer())
	local weapon = getPedWeapon ( getLocalPlayer() )
        local arma = getWeaponNameFromID ( weapon )
        local color1 = tocolor(0,255,0,90)

        



        dxDrawRectangle(x*1000, y*6, x*360, y*105, tocolor(0, 0, 0, 181), false)
        dxDrawLine(x*1096, y*18, x*1096, y*102, tocolor(0, 138, 210, 254), 1, false)
        dxDrawCircle (x*1045, y*60, x*35, 0.0, 360.0,  color1, color1 )
        dxDrawRectangle(x*1000, y*2, x*360, y*4, tocolor(0, 255, 0, 255), false)
        dxDrawText("Lvl:"..level, x*1064, y*30, x*1026, y*90, tocolor(255, 255, 255, 255), x*0.60, font2, "center", "center", false, false, false, false, false)
        dxDrawImage(x*1140, y*15, x*40, y*55, "files/images/money.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("R$:"..money, x*1185, y*8, x*1183, y*80, tocolor(255, 255, 255, 255), x*0.80, font2, "left", "center", false, false, false, false, false)
        dxDrawImage(x*1140, y*68, x*40, y*37, "files/images/card.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("R$:"..bank, x*1185, y*93, x*1350, y*80, tocolor(255, 255, 255, 255), x*0.80, font2, "left", "center", false, false, false, false, false)
        dxDrawRectangle(x*1180, y*640, x*183, y*85, tocolor(28, 28, 28, 200), false)
        dxDrawImage(x*1185, y*640, x*36, y*36, "files/images/comida.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)		
        dxDrawRectangle(x*1226, y*650, x*132/100*fome, y*25, tocolor(255, 165, 0), false)
        dxDrawRectangle(x*1226, y*650, x*132, y*25, tocolor(139, 90, 0, 90), false)	
        dxDrawImage(x*1185, y*680, x*36, y*36, "files/images/sede.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)				
        dxDrawRectangle(x*1226, y*695, x*132/100*sede, y*25, tocolor(16, 102, 231, 200), false)
        dxDrawRectangle(x*1226, y*695, x*132, y*25, tocolor(16, 102, 231, 90), false)	
        dxDrawText("Arma: "..arma.. " || Pente: " ..tostring (showammo1).." / "..tostring (showammo2), x*2400, y*1440, x*132, y*25, tocolor(255, 255, 255, 255), 0.45, font2, "center", "center", false, false, false, false, false)

    end
end

function setarHud()
    addEventHandler("onClientRender", getRootElement(), pdr_hud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)
    setPlayerHudComponentVisible("radar", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setarHud)

function removerHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end

addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removerHud)


function convertNumber ( number )   
    local formatted = number   
    while true do       
        formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1.%2')     
        if ( k==0 ) then       
            break   
        end   
    end   
    return formatted 
end